> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rapidagent.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# /api-tokens/{tokenId}

> Get single API token.

### Params

<ParamField path="tokenId" required type="string">
  The ID of the token.
</ParamField>

### Response

<ResponseField name="success" type="boolean">
  Indicates whether the call was successful.
</ResponseField>

<ResponseField name="data" type="object">
  A single api token object.
</ResponseField>

<RequestExample>
  ```bash Example Request theme={null}
  curl --location --request GET 'https://api.rapidagent.ai/api/v1/api-tokens/{tokenId}' \
  --header 'Content-Type: application/json' \
  --header 'Autorization: Bearer <token>'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "data": {
      "id": "clhjmx2ka00016ilng9y0ha3f",
      "userId": "clhj28u1300006ig02ptpm1sh",
      "user": {
          "id": "clhj28u1300006ig02ptpm1sh",
          "email": "jane@doe.com,
          "name": "Jane Doe",
          "createdAt": "2023-05-11T11:42:54.323000+00:00",
          "updatedAt": "2023-05-11T11:42:54.323000+00:00",
          "deletedAt": null,
          "profile": null,
          "Agent": null,
          "ApiToken": null,
          "Document": null
      },
      "description": "My test token",
      "token": "1c9d14f44fc7492990148e003541577d"    
    }
  }
  ```
</ResponseExample>
